=== debian/control ===
Source: curl
Section: web
Priority: optional
Maintainer: Domenico Andreoli <cavok@debian.org>
Standards-Version: 3.6.1
Build-Depends: debhelper (>> 3.0.0), libssl-dev, zlib1g-dev, stunnel

Package: curl
Architecture: any
Section: web
Replaces: curl-ssl
Provides: curl-ssl
Depends: ${shlibs:Depends}
Description: Get a file from an HTTP, HTTPS, FTP or GOPHER server
 curl is a client to get files from servers using any of the supported
 protocols. The command is designed to work without user interaction
 or any kind of interactivity.
 .
 curl offers a busload of useful tricks like proxy support, user
 authentication, ftp upload, HTTP post, file transfer resume and more.
 .
 Homepage: http://curl.haxx.se

Package: libcurl2
Architecture: any
Section: libs
Suggests: ca-certificates
Replaces: libcurl2-ssl
Provides: libcurl2-ssl
Depends: ${shlibs:Depends}
Description: Multi-protocol file transfer library, now with SSL support!
 libcurl is designed to be a solid, usable, reliable and portable
 multi-protocol file transfer library.
 .
 This is the shared version of libcurl.
 .
 Homepage: http://curl.haxx.se

Package: libcurl2-dbg
Architecture: any
Section: libdevel
Priority: extra
Suggests: libc6-dbg | libc6.1-dbg | libc0.3-dbg
Depends: ${shlibs:Depends}, libcurl2 (= ${Source-Version})
Description: libcurl compiled with debug symbols
 This is the shared version of libcurl compiled with debug symbols.
 It might be useful in debug sessions of software which uses libcurl.
 .
 Homepage: http://curl.haxx.se

Package: libcurl2-dev
Architecture: any
Section: libdevel
Suggests: libcurl2-dbg
Replaces: libcurl-ssl-dev, libcurl-dev
Provides: libcurl-ssl-dev, libcurl-dev
Depends: libcurl2 (= ${Source-Version}), libc6-dev | libc-dev, libssl-dev, zlib1g-dev
Description: Development files and documentation for libcurl
 These files (ie. includes, static library, manual pages) allow to
 build software which uses libcurl.
 .
 HTML and PDF versions of all the manual pages are also provided.
 .  
 Homepage: http://curl.haxx.se
