=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CONFIGURE_ARGS = --host=${DEB_HOST_GNU_TYPE} --build=${DEB_BUILD_GNU_TYPE} --prefix=/usr --mandir=\$${prefix}/share/man --enable-ipv6 --disable-dependency-tracking

build: build-stamp

#configure-stamp: DH_OPTIONS=
configure-stamp:
	dh_testdir
	mkdir -p debian/build debian/build-dbg
	cd debian/build && ../../configure ${CONFIGURE_ARGS}
	cd debian/build-dbg && ../../configure ${CONFIGURE_ARGS} --enable-debug
	touch configure-stamp

#build-stamp: DH_OPTIONS=
build-stamp: configure-stamp
	dh_testdir
	rm -f lib/ca-bundle.h
	${MAKE} -C debian/build
	${MAKE} -C debian/build-dbg
	touch build-stamp

#test-stamp: DH_OPTIONS=
test-stamp: build-stamp
	dh_testdir
	-${MAKE} -C debian/build test
	-${MAKE} -C debian/build-dbg test
	touch test-stamp

clean:
	dh_testdir
	dh_testroot
	rm -rf test-stamp build-stamp configure-stamp debian/build debian/build-dbg debian/tmp-dbg
	dh_clean

#install: DH_OPTIONS=
install: build-stamp test-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	${MAKE} -C debian/build DESTDIR=`pwd`/debian/tmp install
	${MAKE} -C debian/build-dbg DESTDIR=`pwd`/debian/tmp-dbg install
	dh_movefiles
	cp -d debian/tmp-dbg/usr/lib/libcurl.so.* debian/libcurl2-dbg/usr/lib/debug

# Build architecture-independent files here.
#binary-indep: DH_OPTIONS=-i
binary-indep: build-stamp install
# We have nothing to do here.

# Build architecture-dependent files here.
#binary-arch: DH_OPTIONS=-a
binary-arch: build-stamp install
	dh_testdir
	dh_testroot
	dh_installdocs
	install -m 644 docs/*.html debian/libcurl2-dev/usr/share/doc/libcurl2-dev/html
	install -m 644 docs/libcurl/*.html debian/libcurl2-dev/usr/share/doc/libcurl2-dev/html/libcurl
	install -m 644 docs/*.pdf debian/libcurl2-dev/usr/share/doc/libcurl2-dev/pdf
	install -m 644 docs/libcurl/*.pdf debian/libcurl2-dev/usr/share/doc/libcurl2-dev/pdf/libcurl
	dh_installman
	dh_installexamples
	dh_installchangelogs CHANGES
	dh_link
	dh_strip -Nlibcurl2-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs -Nlibcurl2-dbg -V "libcurl2 (>= 7.11.0-1)"
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep build clean install
