## curl 7.12.3

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 # This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY
 # KIND, either express or implied.
 #
-# $Id: Makefile.dist,v 1.17 2004/01/13 08:57:01 bagder Exp $
+# $Id: Makefile.dist,v 1.27 2004/11/13 16:57:56 giva Exp $
 ###########################################################################
 
 all:
@@ -30,44 +30,80 @@
 	make
 
 borland:
-	cd lib & make -f Makefile.b32
-	cd src & make -f Makefile.b32
+	cd lib
+	make -f Makefile.b32
+	cd ..\src
+	make -f Makefile.b32
+
+borland-ssl:
+	cd lib
+	make -f Makefile.b32 WITH_SSL=1
+	cd ..\src
+	make -f Makefile.b32 WITH_SSL=1
+
+borland-ssl-zlib:
+	cd lib
+	make -f Makefile.b32 WITH_SSL=1 WITH_ZLIB=1
+	cd ..\src
+	make -f Makefile.b32 WITH_SSL=1 WITH_ZLIB=1
+
+borland-clean:
+	cd lib
+	make -f Makefile.b32 clean
+	cd ..\src
+	make -f Makefile.b32 clean
 
 mingw32:
-	cd lib & make -f Makefile.m32 ZLIB=1
-	cd src & make -f Makefile.m32 ZLIB=1
+	$(MAKE) -C lib -f Makefile.m32 ZLIB=1
+	$(MAKE) -C src -f Makefile.m32 ZLIB=1
 
 mingw32-ssl:
-	cd lib & make -f Makefile.m32 SSL=1 ZLIB=1
-	cd src & make -f Makefile.m32 SSL=1 ZLIB=1
+	$(MAKE) -C lib -f Makefile.m32 SSL=1 ZLIB=1
+	$(MAKE) -C src -f Makefile.m32 SSL=1 ZLIB=1
+
+mingw32-clean:
+	$(MAKE) -C lib -f Makefile.m32 clean
+	$(MAKE) -C src -f Makefile.m32 clean
 
 vc:
 	cd lib
-	nmake -f Makefile.vc6 cfg=release
+	nmake /f Makefile.vc6 cfg=release
 	cd ..\src
-	nmake -f Makefile.vc6
+	nmake /f Makefile.vc6
+
+vc-zlib:
+	cd lib
+	nmake /f Makefile.vc6 cfg=release-zlib
+	cd ..\src
+	nmake /f Makefile.vc6 cfg=release-zlib
 
 vc-ssl:
 	cd lib
-	nmake -f Makefile.vc6 cfg=release-ssl
+	nmake /f Makefile.vc6 cfg=release-ssl
 	cd ..\src
-	nmake -f Makefile.vc6 cfg=release-ssl
+	nmake /f Makefile.vc6 cfg=release-ssl
+
+vc-ssl-zlib:
+	cd lib
+	nmake /f Makefile.vc6 cfg=release-ssl-zlib
+	cd ..\src
+	nmake /f Makefile.vc6 cfg=release-ssl-zlib
 
 vc-ssl-dll:
 	cd lib
-	nmake -f Makefile.vc6 cfg=release-ssl-dll
+	nmake /f Makefile.vc6 cfg=release-ssl-dll
 	cd ..\src
-	nmake -f Makefile.vc6
+	nmake /f Makefile.vc6
 
 vc-libcurl-ssl-dll:
 	cd lib
-	nmake -f Makefile.vc6 cfg=release-libcurl-ssl-dll
+	nmake /f Makefile.vc6 cfg=release-libcurl-ssl-dll
 	cd ..\src
-	nmake -f Makefile.vc6
+	nmake /f Makefile.vc6
 
 djgpp:
-	make -C lib -f Makefile.dj
-	make -C src -f Makefile.dj
+	$(MAKE) -C lib -f Makefile.dj
+	$(MAKE) -C src -f Makefile.dj
 
 cygwin:
 	./configure
@@ -81,7 +117,17 @@
 	cd ./lib && make -f makefile.amiga
 	cd ./src && make -f makefile.amiga
 
+netware:
+	$(MAKE) -C lib -f Makefile.netware
+	$(MAKE) -C src -f Makefile.netware
 
+netware-ssl:
+	$(MAKE) -C lib -f Makefile.netware SSL=1
+	$(MAKE) -C src -f Makefile.netware SSL=1
+
+netware-clean:
+	$(MAKE) -C lib -f Makefile.netware clean
+	$(MAKE) -C src -f Makefile.netware clean
 
 unix: all
