=== debian/control ===
Source: curl
Section: web
Priority: optional
Maintainer: Domenico Andreoli <cavok@debian.org>
Uploaders: Aapo Makela <aapo.makela@nokia.com>
Build-Depends: debhelper (>> 3.0.0), autotools-dev, binutils (>= 2.14.90.0.7), libssl-dev, zlib1g-dev
Standards-Version: 3.6.1

Package: curl
Architecture: any
Section: web
Replaces: curl-ssl
Provides: curl-ssl
Depends: ${shlibs:Depends}
Description: Get a file from an HTTP, HTTPS, FTP or GOPHER server
 curl is a client to get files from servers using any of the supported
 protocols. The command is designed to work without user interaction
 or any kind of interactivity.
 .
 curl offers a busload of useful tricks like proxy support, user
 authentication, ftp upload, HTTP post, file transfer resume and more.
 .
  Homepage: http://curl.haxx.se

Package: libcurl3
Architecture: any
Section: libs
Suggests: libcurl3-gssapi (= ${Source-Version}), ca-certificates, libldap2-dev
Replaces: libcurl2 (<< 1:7.11.2-2)
Depends: ${shlibs:Depends}
Description: Multi-protocol file transfer library, now with SSL support!
 libcurl is designed to be a solid, usable, reliable and portable
 multi-protocol file transfer library.
 .
 To enable LDAP support package libldap2-dev is required.
 .
 This is the shared version of libcurl.
 .
  Homepage: http://curl.haxx.se

Package: libcurl3-dbg
Architecture: any
Section: libdevel
Priority: extra
Suggests: libc-dbg
Depends: libcurl3 (= ${Source-Version})
Description: libcurl compiled with debug symbols
 This is the shared version of libcurl compiled with debug symbols.
 It might be useful in debug sessions of software which uses libcurl.
 .
  Homepage: http://curl.haxx.se

Package: libcurl3-dev
Architecture: any
Section: libdevel
Conflicts: libcurl2-dev
Suggests: libcurl3-dbg
Replaces: libcurl-ssl-dev, libcurl-dev
Provides: libcurl-ssl-dev, libcurl-dev
Depends: libcurl3 (= ${Source-Version}), libc6-dev | libc-dev, libssl-dev, zlib1g-dev
Description: Development files and documentation for libcurl
 These files (ie. includes, static library, manual pages) allow to
 build software which uses libcurl.
 .
 HTML and PDF versions of all the manual pages are also provided.
 .  
  Homepage: http://curl.haxx.se
